Bug 1120813 - Finish Dynflowing all critical long running operations
Summary: Finish Dynflowing all critical long running operations
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Infrastructure
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Ivan Necas
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1131170
TreeView+ depends on / blocked
 
Reported: 2014-07-17 18:31 UTC by Mike McCune
Modified: 2016-04-22 15:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:20:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6297 None None None 2016-04-22 15:03:27 UTC

Description Mike McCune 2014-07-17 18:31:01 UTC
Review all operations that require conversion to dynflow and get them converted into Dynflow operations.  The initial list from memory (may be wrong)

- Repo syncs from all sources (API/CLI/Webui)
- Delete operations
- manifest refresh
- manifest import

Comment 4 Ivan Necas 2014-08-15 15:01:22 UTC
Depends on http://projects.theforeman.org/issues/6297

Comment 5 Partha Aji 2014-08-15 15:05:16 UTC
Created redmine issue http://projects.theforeman.org/issues/7107 from this bug

Comment 6 Ivan Necas 2014-08-20 11:19:27 UTC
Fixed in

https://github.com/Katello/katello/pull/4564
https://github.com/Katello/katello-installer/pull/98

foreman-tasks/dynflow is used for all async orchestrations now

Comment 9 Corey Welton 2014-08-22 16:38:24 UTC
Verified in Satellite-6.0.4-RHEL-6-20140820.1 - i was able to perform all of the above actions and saw the progress/status in dynflow.  Also noted the absence of delayed_jobs from the services.

Comment 10 Bryan Kearney 2014-09-11 12:20:11 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.